/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.TestSiteminderApp;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import com.worklight.common.WLConfig;

public class LoginFormNativePage extends Activity {

	private WebView webView;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		webView = new WebView(this);
		webView.setWebViewClient(new MyWebViewClient());
		webView.getSettings().setJavaScriptEnabled(true);
		webView.addJavascriptInterface(new HTMLExtractor(), "HTMLExtractor");
		
		// load ANY url that will trigger login form
		WLConfig cfg = new WLConfig(this);
		webView.loadUrl(cfg.getRootURL() + "/apps/services/reach");
		setContentView(webView);
	}
	
	private class MyWebViewClient extends WebViewClient{
		@Override
		public void onPageFinished(WebView view, String url) {
			Log.d("","onPageFinished :: " + url);
			view.loadUrl("javascript:window.HTMLExtractor.extract(document.body.innerHTML)");
			super.onPageFinished(view, url);
		}
	}
	
	private class HTMLExtractor {
		public void extract(String html){
			// In case response does not contain login form - return to hybrid
			if (!html.contains("USER")){
				Intent i = new Intent();
				i.putExtra("status", "success");
				setResult(RESULT_OK, i);
				finish();
			}
		}
	}
}
